<template>
  <ContentScrollView hasPaddingTop style="background-color: transparent">
    <OrderApplyRefundView
      :id="id"
      @submitApplyRefund="submitApplyRefund"
      ref="orderApplyRefundViewRef"
    />
  </ContentScrollView>
  <PageFooter>
    <PageFooterBtn type="primary" @click="handleSubmit">提交</PageFooterBtn>
  </PageFooter>
</template>

<script setup lang="ts">
import Taro from '@tarojs/taro';
import { OrderApplyRefundView } from '@life-payment/components';
import { goBack } from '@/utils';
import type { ComponentExposed } from 'vue-component-type-helpers';

defineOptions({
  name: 'InnerPage',
});

const router = Taro.useRouter();
const id = router.params?.id ?? '';

const orderApplyRefundViewRef =
  useTemplateRef<ComponentExposed<typeof OrderApplyRefundView>>('orderApplyRefundViewRef');

function handleSubmit() {
  orderApplyRefundViewRef.value?.handleSubmit?.();
}

function submitApplyRefund() {
  goBack();
}
</script>
